# makefile
# The actions included in this make file are:
#  Compile
#  Make exp and lib files
#  Link exe & dll
#  Clean

.SUFFIXES:

.all: animals.exe

# animals.c: animals.idl
#     echo ""

animals.exe: animals.obj main.obj
    ilink.exe /DE /NOE /MAP /NOLogo animals.obj main.obj  somtk.lib kernel32.lib user32.lib gdi32.lib

animals.obj: animals.ih animals.h animals.c
    icc.exe /Ti /O- /Os- /W1 /H128 /Q+ /c /Gd+ /Gm+ /Tdc /I. /IC:\Programs\IBM\SOM\include /Foanimals.obj animals.c

main.obj: animals.h main.c
    icc.exe /Ti /O- /Os- /W1 /H128 /Q+ /c /Gd+ /Gm+ /Tdc /I. /IC:\Programs\IBM\SOM\include /Fomain.obj main.c

#clean:
#    -del main.exe *.obj *.lib

